com.sun.jna.platform.win32

## Interface Winevt.EVT_RPC_LOGIN_FLAGS

Enclosing interface:
  Winevt

    public static interface Winevt.EVT_RPC_LOGIN_FLAGS

Defines the types of authentication that you can use to authenticate the user when connecting to a remote computer. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385570(v=vs.85).aspx

### Field Summary

Fields
`static int` `EvtRpcLoginAuthDefault` Use the default authentication method during RPC login.
`static int` `EvtRpcLoginAuthKerberos` Use Kerberos authentication during RPC login.
`static int` `EvtRpcLoginAuthNegotiate` Use the Negotiate authentication method during RPC login.
`static int` `EvtRpcLoginAuthNTLM` Use NTLM authentication during RPC login.

### Field Detail

#### EvtRpcLoginAuthDefault

    static final int EvtRpcLoginAuthDefault

Use the default authentication method during RPC login. The default authentication method is Negotiate.

See Also:
  Constant Field Values

#### EvtRpcLoginAuthNegotiate

    static final int EvtRpcLoginAuthNegotiate

Use the Negotiate authentication method during RPC login. The client and server negotiate whether to use NTLM or Kerberos.

See Also:
  Constant Field Values

#### EvtRpcLoginAuthKerberos

    static final int EvtRpcLoginAuthKerberos

Use Kerberos authentication during RPC login.

See Also:
  Constant Field Values

#### EvtRpcLoginAuthNTLM

    static final int EvtRpcLoginAuthNTLM

Use NTLM authentication during RPC login.

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.